Index: src/Makefile.in
--- src/Makefile.in.orig	2004-05-27 23:29:46 +0200
+++ src/Makefile.in	2005-04-21 21:58:27 +0200
@@ -197,7 +197,7 @@
 
 
 aqmoney2_LDADD = \
-  @PROGRAM_LIBS@ modules/libmodules.la libaqmoney/libaqmoney.la
+  modules/libmodules.la libaqmoney/libaqmoney.la @PROGRAM_LIBS@
 
 aqmoney2_SOURCES = \
  aqmauth.cpp \
@@ -206,7 +206,7 @@
 
 
 qtest_LDADD = \
-  @PROGRAM_LIBS@ modules/libmodules.la libaqmoney/libaqmoney.la
+  modules/libmodules.la libaqmoney/libaqmoney.la @PROGRAM_LIBS@
 
 
 qtest_SOURCES = qtest.cpp
Index: src/libaqmoney/converter/oldconf.c
--- src/libaqmoney/converter/oldconf.c.orig	2004-01-25 19:51:29 +0100
+++ src/libaqmoney/converter/oldconf.c	2005-04-21 21:34:14 +0200
@@ -642,7 +642,7 @@
   assert(root);
   assert(path);
   DBG_VERBOUS(0, "GetValue for \"%s\"",path);
-  var=ConfigOld__GetPath(root,path,
+  var=(CONFIGOLDVARIABLE *)ConfigOld__GetPath(root,path,
 		      CONFIGOLDMODE_PATHMUSTEXIST |
 		      CONFIGOLDMODE_NAMEMUSTEXIST |
 		      CONFIGOLDMODE_VARIABLE);
@@ -945,7 +945,7 @@
       }
       *p=0;
       DBG_VERBOUS(0, "Selecting group \"%s\"",name);
-      grp=ConfigOld__GetPath(root, name, mode &~CONFIGOLDMODE_VARIABLE);
+      grp=(CONFIGOLDGROUP *)ConfigOld__GetPath(root, name, mode &~CONFIGOLDMODE_VARIABLE);
       if (!grp) {
 	DBG_DEBUG(0, "Group \"%s\" is not available",name);
 	return 0;
@@ -1017,7 +1017,7 @@
 
   DBG_VERBOUS(0, "Creating variable \"%s\"",np);
   if (mode & CONFIGOLDMODE_ALLOW_PATH_IN_VARS)
-    var=ConfigOld__GetPath(group,
+    var=(CONFIGOLDVARIABLE *)ConfigOld__GetPath(group,
 			np,
 			mode|CONFIGOLDMODE_VARIABLE);
   else {
Index: configure
--- configure.orig	2004-05-27 23:29:51 +0200
+++ configure	2005-04-22 11:16:30 +0200
@@ -21333,7 +21333,7 @@
 
   if test -n "$found_file" ; then
      ktoblzcheck_libraries="-L$d"
-     ktoblzcheck_lib="-l`echo $found_file | sed 's/lib//;s/\.so*//;s/\.a//'`"
+     ktoblzcheck_lib="-l`echo $found_file | sed 's/lib//;s/\.so*//;s/\.a//;s/\\.la//'`"
      break
   fi
 done
